<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getDarkwebPrograms](./bitburner.singularity.getdarkwebprograms.md)

## Singularity.getDarkwebPrograms() method

Get a list of programs offered on the dark web.

**Signature:**

```typescript
getDarkwebPrograms(): ProgramName[];
```
**Returns:**

[ProgramName](./bitburner.programname.md)<!-- -->\[\]

- a list of programs available for purchase on the dark web, or \[\] if Tor has not been purchased

## Remarks

RAM cost: 1 GB \* 16/4/1

This function allows the player to get a list of programs available for purchase on the dark web. Players MUST have purchased Tor to get the list of programs available. If Tor has not been purchased yet, this function will return an empty list.

## Example


```js
const programs = ns.singularity.getDarkwebPrograms();
ns.tprint(`Available programs are: ${programs}`);
```

